1. General Information

Why Can't I Download the OrbisPay App?

For android, the minimum version requirement is Lollipop (v5). For iOS the minimum version is 12.